{% load static %}
<!doctype html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">


    <style>
        @import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap');


        * {
            margin: 0;
            padding: 0;
            font-family: 'Montserrat', sans-serif;
        }


    </style>


    {# logo tab_bar#}
    <link rel="icon" href="{% static 'lorenzo_barone/images/bianco.png' %}">
    {# logo tab_bar#}

    <title>{% block title %}
        Lorenzo Barone
    {% endblock %}</title>

</head>
<body>


<nav class="navbar sticky-top navbar-expand-lg navbar-dark bg-dark ">


    <div class="container-fluid">

        <a class="navbar-brand" href="{% url 'home' %}">
            <img src="{% static 'lorenzo_barone/images/bianco.png' %}" width=40 height=40
                 class="rounded-circle " alt=""> Lorenzo Barone

        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarScroll"
                aria-controls="navbarScroll" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarScroll">
            <ul class="navbar-nav me-auto my-2 my-lg-0 navbar-nav-scroll" style="--bs-scroll-height: 100px;">

                <!-- Category Menu Code !!! - dropdown cu added categories, sau cele default (eg. Europe, Asia, Africa...) -->

                {% if cat_menu %}
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                           data-bs-toggle="dropdown" aria-expanded="false">
                            Categories
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">

                            {% for item in cat_menu %}
                                <a class="dropdown-item" href="{% url 'category' item|slugify %}">{{ item }}</a>

                            {% endfor %}

                        </div>
                    </li>

                {% else %}

                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'category-list' %}">
                            Categories
                        </a>
                    </li>

                {% endif %}

                <!-- Daca userii sunt Logati!!! -->

                {% if user.is_superuser %}

                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'add_category' %}">
                            Add Category
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'add_post' %}">
                            Add Post
                        </a>
                    </li>


                    <!-- CAND USERII NU SUNT LOGATI!! -->
                {% else %}

                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'register' %}">
                            Register
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'login' %}">
                            Login
                        </a>
                    </li>

                {% endif %}


            </ul>
            {% if user.is_authenticated %}
                <ul class="navbar-nav ml-auto">

                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                       data-bs-toggle="dropdown" aria-expanded="false">
                        {{ user.first_name }}
                        {{ user.last_name }}
                    </a>
                    <div class="dropdown-menu dropdown-menu-right " aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="{% url 'edit_profile' %}">Edit Settings</a>

                        {% if user.profile.id %}
                            <a class="dropdown-item" href="{% url 'edit_profile_page' user.profile.id %}">Edit
                                Profile Page</a>
                            <a class="dropdown-item" href="{% url 'show_profile_page' user.profile.id %}">Show
                                Profile Page</a>
                        {% else %}
                            <a class="dropdown-item" href="{% url 'create_profile_page' %}">Create Profile
                                Page</a>


                        {% endif %}


                        <a class="dropdown-item" href="{% url 'register' %}">
                            Register
                        </a>


                        <a class="dropdown-item" href="{% url 'login' %}">
                            Login
                        </a>
                        <a class="dropdown-item" href="{% url 'logout' %}">
                            Logout

                        </a>
                    </div>
                </li>
            {% endif %}
            </ul>
        </div>
    </div>
</nav>

<br/>
<div class="container">
    {% block content %}

    {% endblock %}
</div>

<!-- Optional JavaScript; choose one of the two! -->

<!-- Option 1: Bootstrap Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>

<!-- Option 2: Separate Popper and Bootstrap JS -->
<!--
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
-->

</body>

</html>

